eID Get User Data

/document/doc/identification

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
ParameterValue
"dateExpire"unix epoch time in seconds (sets the time for which the request will be pending for the user to confirm)
"language"Optional parameter. Valid values are "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk", "gr".
"includes"

These parameters specify which user data to be returned in the response of the request.
"identificationReason"

Field limit of 90 characters
"signInfo"
"algorithm":
"SHA256"
"BIOrequired":
0/1 Optional parameter. Default value 0. Disclaimer: Billable service, should be activated upon request. When used, user will confirm the request by passing our face recognition (not the device one)
"vendorNumber":"string"
"user":

Only one of the parameters has to be sent: identificationNumber+coutry; or phone; or email; "country" - valid values are the ISO 3166-1 alpha-2 codes. It is optional parameter and
if it is not send, the default "BG" value will be applied. Note! refID is also available as identifier if your integration is with mobile SDK and you decide to use this parameter returned from mobile SDK instead of one of the above.
"publicKey":
base64 encoded string of public key, necessary for encryption process. See how to generate here.

Returned values for 200 success:

{"transactionID":"string", "threadID":"string"}

Body Params
string
required

{
"document": {
"dateExpire":,
"language":""},
"includes": {
"names": true,
"latinNames": true,
"emails": true,
"phones": true,
"address": true,
"documentType": true,
"documentNumber": true,
"documentIssuerName": true,
"documentValidDate": true,
"documentIssueDate": true,
"documentCountry": true,
"identificationNumber": true,
"gender": true,
"nationality": true,
"documentPicture": true,
"documentSignature": true,
"picFront": true,
"picBack": true,
"picIDCombined": true,
"dateOfBirth": true,
"placeOfBirth": true
},
"identificationReason": "

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json